export function posToOffset(doc, pos) {
    return doc.line(pos.line + 1).from + pos.character;
}
export function offsetToPos(doc, offset) {
    const line = doc.lineAt(offset);
    return new Position(line.number - 1, offset - line.from);
}
export class Position {
    constructor(line, character) {
        this.line = line;
        this.character = character;
    }
    setLine(line) {
        this.line = line;
    }
    setCharacter(character) {
        this.character = character;
    }
    lessThanOrEqualTo(position) {
        return (this.line < position.line ||
            (this.line === position.line && this.character <= position.character));
    }
}
const isMac = () => /mac/i.test(navigator.platform);
export const isMetaKeyPressed = (e) => isMac() ? e.metaKey : e.ctrlKey;
//# sourceMappingURL=helpers.js.map